Bug 118841 - direct mount maps fail with ldap
Summary: direct mount maps fail with ldap
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-21 14:29 UTC by Heinz Deinhart
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 14:44:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ldif of my autofs maps (544 bytes, text/plain)
2004-03-21 14:31 UTC, Heinz Deinhart
no flags Details
second part of ldif (318 bytes, text/plain)
2004-03-21 14:33 UTC, Heinz Deinhart
no flags Details

Description Heinz Deinhart 2004-03-21 14:29:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
i tried to mount /var/spool/mail with a direct map like shown in
/usr/share/doc/autofs-4.1.1/README.direct

but it seems that autofs uses only the first element of the path
"/var" instead of the full path "/var/spool/mail" as the local
mount point

It starts up as:
automount(pid30887) on /var type autofs
(rw,fd=4,pgrp=30881,minproto=2,maxproto=4)
but IMHO is should be:
automount(pid30887) on /var/spool/mail type autofs
(rw,fd=4,pgrp=30881,minproto=2,maxproto=4)

my autofs ldap ldifs are attached below


Version-Release number of selected component (if applicable):
autofs-4.1.1-3

How reproducible:
Always

Steps to Reproduce:
1. create direct mount map in ldap
2. restart autofs

    

Actual Results:  overmounts /var

Expected Results:  should mount the remote dir into /var/spool/mail

Additional info:

Comment 1 Heinz Deinhart 2004-03-21 14:31:10 UTC
Created attachment 98731 [details]
ldif of my autofs maps

Comment 2 Heinz Deinhart 2004-03-21 14:33:48 UTC
Created attachment 98732 [details]
second part of ldif

above ldif was only the master, here comes auto.direct

Comment 3 Jeff Moyer 2004-03-24 20:00:06 UTC
To clarify, this problem isn't specific to LDAP maps.  File maps also
display this behaviour.

Comment 4 Jeff Moyer 2004-03-30 17:51:10 UTC
Okay, so this was a design decision (flaw?).  This needs more
documentation, but basically direct maps will take over the entire
directory hierarchy to the root.  I will update the documentation on this.

Comment 5 Jeff Moyer 2004-06-10 14:44:49 UTC
The documentation has been updated.  See
/usr/share/doc/autofs-x.y.z/README.direct.

I'm closing the bug WONTFIX.  This may be implemented this in the
future, but for now we will have to live with the limitation.


Note You need to log in before you can comment on or make changes to this bug.